<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<!-- ---------- Role PO Validate  = true---------- -->
<div *ngIf="this.role === 'PO' && this.product.validate === true">
  <div class="product-header">
    <div class="d-flex row">

      <div class="col-6 pps-header" style="cursor: pointer;" (click)="backToDashboardPage()">
        <a class="style-font">
          <i style="font-size: 20px;" class="fa fa-chevron-left"></i>
          ข้อมูลการประกาศใช้ผลิตภัณฑ์</a>
      </div>

      <div class="col-6 btn-all">
        <button type="button" class="btn rectangle-save" (click)='savepromulgate()'>
          บันทึก
        </button>
        <button type="button" class="btn rectangle-send" style="margin-left: 6px;" data-toggle="modal"
          data-target="#confirmModal">
          ประกาศใช้
        </button>
      </div>

    </div>
    <p class="header-th style-font">
      บันทึกข้อมูลการประกาศใช้ผลิตภัณฑ์ดังต่อไปนี้</p>
  </div><br />

  <div style="margin-left: 65px;width:91%" class="alert alert-success" role="alert"
    [ngStyle]="{'display': saveDraftstatus !== 'success' ? 'none' : ''}">
    <a class=" alert-detail">บันทึกข้อมูลการประกาศใช้ผลิตภัณฑ์เรียบร้อย</a>
  </div>

  <div class="row" style="margin-left: 80px;">
    <label class="text-normal">วันที่เสนอต่อคณะกรรมการผลิตภัณฑ์</label>
    <label class="text-normal" style="margin-left: 20px;">{{product.presentDate | date : 'dd/MM/yyyy'}}</label>
  </div>

  <div class="header-set">
    <div class="row part-one-header">
      <div class="col-10"><a>กระบวนการสอบทานความครบถ้วนของการออกผลิตภัณฑ์ ( Sign off )</a></div>
      <div class="btn-add col-2" style="text-align: end;">
        <button class="btn btn-primary" style="background-color: #00A6E6;" (click)='addData()'>
          <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
        </button>
      </div>
    </div>
    <hr class="new4" />
  </div>
  <br />

  <div class="table-responsives">
    <table style="width: 100% !important;">
      <thead>
        <tr class="table-header">
          <th style="width: 420px;">ฝ่ายงาน / สายงาน</th>
          <th style="width: 200px;">วันที่ลงนาม</th>
          <th style="width: 432px;">ความเห็น</th>
          <th style="width: 200px;"></th>
        </tr>
      </thead>

      <tbody>
        <tr *ngFor="let data of product.businessSignModel; let i = index">
          <td style="vertical-align: top;padding-top: 9px;height: 60px;">
            <!-- <input type="text" class="form-control table-text-one" [(ngModel)]='departmenttext[i]' /> -->
            <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control example"
              style="padding-left: 15px;width: 100%;" [(ngModel)]='departmenttext[i]'
              (ngModelChange)="changeSaveDraft()"></textarea>
          </td>

          <td style="vertical-align: top;height: 60px;">
            <div class="date_input_search" style="width: 200px; margin: 8px;">
              <div class="icon-warpper1">
                <img src="../../../../assets/img/calendar.svg" class="btn-date" />
              </div>
              <div class="icon-warpper2">
                <!-- <i class="fa fa-close btn-delete" *ngIf="signdatetext" (click)="dp.clearDate()"></i> -->
              </div>
              <!-- <input angular-mydatepicker type="text" name="myDpOptions" [(ngModel)]="signdatetext[i]"
                class="form-control" [options]="myDpOptions" #dp="angular-mydatepicker" (click)="dp.toggleCalendar()" /> -->
              <app-date
                [datepicker_input]="{ role: null , dateData: signdatetext[i], index: null, page: 'product-announcement' }"
                (DateChange)="signdatetext[i] = changeDate($event)"></app-date>
            </div>
          </td>

          <td style="vertical-align: top;padding-top: 9px;padding-bottom: 9px;height: 60px;">
            <!-- <input type="text" class="form-control table-text-three" placeholder="กรุณาระบุความเห็น"
              [(ngModel)]='commenttext[i]' /> -->


            <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control example"
              placeholder="กรุณาระบุความเห็น" style="padding-left: 15px;width: 100%;" [(ngModel)]='commenttext[i]'
              (ngModelChange)="changeSaveDraft()"></textarea>
          </td>
          <td class="table-delete"><a (click)="removedata(i,data.id)">ลบข้อมูล</a></td>
        </tr>
      </tbody>
    </table>
    <div class="btn-add" style="text-align: end;margin: 20px;">
      <button class="btn btn-primary" style="background-color: #00A6E6;" (click)='addData()'>
        <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
      </button>
    </div>
  </div>

  <div class="box-detail">
    <div class="row">
      <div class="col-4">
        <label>วันที่ประกาศใช้ผลิตภัณฑ์</label>
        <div class="date_input_search">
          <div class="icon-warpper1">
            <!-- <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="dp1.toggleCalendar()" /> -->
          </div>
          <div class="icon-warpper2">
            <!-- <i class="fa fa-close btn-delete" *ngIf="model_date" (click)="dp1.clearDate()"></i> -->
          </div>
          <!-- <input angular-mydatepicker type="text" name="myDpOptions_date" [(ngModel)]="model_date" class="form-control"
            placeholder="00/00/0000" [options]="myDpOptions_date" #dp1="angular-mydatepicker"
            (click)="dp1.toggleCalendar()" /> -->
          <!-- {{model_date}} -->
          <!-- <app-date
            [datepicker_input]="{ role: null , dateData: model_date, index: null, page: 'product-announcement' }"
            (DateChange)="model_date = changeDate($event)"></app-date> -->

          <app-date
            [datepicker_input]="{ role: null , dateData: promulgate.promulgateDate, index: null, page: 'product-announcement' }"
            (DateChange)="model_date1 = changeDate($event)"></app-date>
        </div>
      </div>
      <div class="col-4">
        <label>หนังสือเวียนเลขที่</label>
        <!-- <input type="text" class="form-control" placeholder="กรุณาระบุหนังสือเวียนเลขที่"
          [(ngModel)]='this.product.p romulgateModel.circularNo'> -->
        <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control example"
          placeholder="กรุณาระบุหนังสือเวียนเลขที่" [(ngModel)]='this.product.promulgateModel.circularNo'
          (ngModelChange)="changeSaveDraft()"></textarea>
      </div>
      <div class="col-4">
        <label>ลงวันที่</label>
        <div class="date_input_search">
          <div class="icon-warpper1">
            <!-- <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="dp2.toggleCalendar()" /> -->
          </div>
          <div class="icon-warpper2">
            <!-- <i class="fa fa-close btn-delete" *ngIf="model_date2" (click)="dp2.clearDate()"></i> -->
          </div>
          <!-- <input angular-mydatepicker type="text" name="myDpOptions_date2" [(ngModel)]="model_date2"
            class="form-control" placeholder="00/00/0000" [options]="myDpOptions_date2" #dp2="angular-mydatepicker"
            (click)="dp2.toggleCalendar()" /> -->
          <app-date
            [datepicker_input]="{ role: null , dateData: model_date2, index: null, page: 'product-announcement' }"
            (DateChange)="model_date2 = changeDate($event)"></app-date>
        </div>
      </div>
    </div>
    <div class="row" style="margin-top: 40px;">
      <div class="col-4">
        <label>ฝ่าย / ทีม</label>
        <input type="text" class="form-control" [(ngModel)]="this.product.promulgateModel.dept "
          (ngModelChange)="changeSaveDraft()" disabled>
      </div>
      <div class="col-4">
        <label>กลุ่มงาน</label>
        <input type="text" class="form-control" [(ngModel)]="this.product.promulgateModel.sctr"
          (ngModelChange)="changeSaveDraft()" disabled>
      </div>
      <div class="col-4">
        <label>สายงาน</label>
        <input type="text" class="form-control" [(ngModel)]="this.product.promulgateModel.grp"
          (ngModelChange)="changeSaveDraft()" disabled>
      </div>
    </div>
    <div class="row" style="margin-top: 40px;">
      <div class="col-4">
        <label>ผู้บริหารฝ่าย / ทีม</label>
        <input type="text" class="form-control" [(ngModel)]="this.product.promulgateModel.manager"
          (ngModelChange)="changeSaveDraft()" disabled>
      </div>
      <div class="col-4">
        <label>เบอร์โทรศัพท์</label>
        <input type="text" class="form-control" [(ngModel)]="this.product.promulgateModel.managerTel"
          (ngModelChange)="changeSaveDraft()" disabled>
      </div>
    </div>
    <div class="row" style="margin-top: 40px;margin-bottom: 40px;">
      <div class="col-4">
        <label>ผู้ประสานงาน</label>
        <input type="text" class="form-control" [(ngModel)]="this.product.promulgateModel.coManager"
          (ngModelChange)="changeSaveDraft()" disabled>
      </div>
      <div class="col-4">
        <label>เบอร์โทรศัพท์</label>
        <input type="text" class="form-control" [(ngModel)]="this.product.promulgateModel.coManagerTel"
          (ngModelChange)="changeSaveDraft()" disabled>
      </div>
    </div>
  </div>

  <div class="box-detail">
    <div class="typeofcollateral">
      <p class="head-detail">อัปโหลดเอกสาร</p>
      <div class="dropzone">
        <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple (change)="onSelectFile($event)"
          accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
          application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
          application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
          .jpg,.png" />

        <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
        <a style="font-size: 18px; color: #00a6e6;"
          for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
      </div>
    </div>
    <br />

    <div class="table_files">
      <table mat-table [dataSource]="dataSource_file" style="width: 100% !important;">

        <ng-container matColumnDef="fileName">
          <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
          <td mat-cell *matCellDef="let element">{{ element.fileName }}</td>
        </ng-container>


        <ng-container matColumnDef="fileSize">
          <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
          <td mat-cell *matCellDef="let element">
            {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
          </td>
        </ng-container>


        <ng-container matColumnDef="delete">
          <th mat-header-cell *matHeaderCellDef></th>
          <td mat-cell *matCellDef="let element; let index = index" style="text-align: center;">
            <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
              (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
            <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
              (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
            <a class="pipe">|</a>
            <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
      </table>
    </div>
    <br /><br />
  </div>

</div>
<!-- ---------- End Role PO Validate  = true---------- -->

<!-- ---------- Role PO validate = false---------- -->
<div *ngIf="this.role === 'PO' && this.product.validate === false">
  <div class="product-header">
    <div class="d-flex">
      <div class="pps-header">
        <a class="style-font" style="cursor:pointer" (click)="backToDashboardPage()">
          <i style="font-size: 20px;" class="fa fa-chevron-left" (click)="backToDashboardPage()"></i>
          ข้อมูลการประกาศใช้ผลิตภัณฑ์</a>
      </div>

    </div>
    <p class="header-th style-font">
      บันทึกข้อมูลการประกาศใช้ผลิตภัณฑ์ดังต่อไปนี้</p>
  </div><br />

  <div class="row" style="margin-left: 80px;">
    <label class="text-normal">วันที่เสนอต่อคณะกรรมการผลิตภัณฑ์</label>
    <label class="text-normal" style="margin-left: 20px;">{{product.presentDate | date : 'dd/MM/yyyy'}}</label>
  </div>
  <div class="header-set">
    <div class="part-one-header">
      <div style="width: 88%;"><a>กระบวนการสอบทานความครบถ้วนของการออกผลิตภัณฑ์ ( Sign off )</a></div>
    </div>
    <hr class="new4" />
  </div>
  <br />

  <div class="table-responsives">
    <table>
      <thead>
        <tr class="table-header">
          <th style="width: 420px;padding-left: 15px;">ฝ่ายงาน / สายงาน</th>
          <th style="width: 200px;">วันที่ลงนาม</th>
          <th style="width: 432px;">ความเห็น</th>
          <th style="width: 200px;"></th>
        </tr>
      </thead>

      <tbody>
        <tr *ngFor="let rowdata of product.businessSignModel" style="height: 54px;">
          <td class="table-text-one" style="text-align: left;word-break: break-all; padding-top: 15px;
          padding-bottom: 10px;vertical-align: top;">
            {{rowdata.business}}</td>
          <td class="table-text-two" style="word-break: break-all; padding-top: 15px;
          padding-bottom: 10px;vertical-align: top;">
            {{rowdata.signDate | date : 'dd/MM/yyyy'}}
          </td>
          <td class="table-text-three" style="word-break: break-all; padding-top: 15px;
          padding-bottom: 10px;vertical-align: top;">{{rowdata.comment}}</td>
          <td style="width: 200px;word-break: break-all;"></td>
        </tr>
      </tbody>
    </table>
  </div><br /><br />

  <div class="box-detail">
    <div class="row" style="margin-top: 40px;">
      <div class="col-4">
        <label class="text-other-po-header">วันที่ประกาศใช้ผลิตภัณฑ์</label><br />
        <label class="text-other-po" style="word-break: break-all;">{{product.promulgateModel.circularDate | date :
          'dd/MM/yyyy'}}</label>
      </div>
      <div class="col-4">
        <label class="text-other-po-header">หนังสือเวียนเลขที่</label><br />
        <label class="text-other-po" style="word-break: break-all;">{{product.promulgateModel.circularNo}}</label>
      </div>
      <div class="col-4">
        <label class="text-other-po-header">ลงวันที่</label><br />
        <label class="text-other-po" style="word-break: break-all;">{{product.promulgateModel.promulgateDate| date :
          'dd/MM/yyyy'}}</label>
      </div>
    </div>
    <div class="row" style="margin-top: 40px;">
      <div class="col-4">
        <label class="text-other-po-header">ฝ่าย / ทีม</label><br />
        <label class="text-other-po" style="word-break: break-all;">{{product.promulgateModel.dept}}</label>
      </div>
      <div class="col-4">
        <label class="text-other-po-header">กลุ่มงาน</label><br />
        <label class="text-other-po" style="word-break: break-all;">{{product.promulgateModel.sctr}}</label>
      </div>
      <div class="col-4">
        <label class="text-other-po-header">สายงาน</label><br />
        <label class="text-other-po" style="word-break: break-all;">{{product.promulgateModel.grp}}</label>
      </div>
    </div>
    <div class="row" style="margin-top: 40px;">
      <div class="col-4">
        <label class="text-other-po-header">ผู้บริหารฝ่าย / ทีม</label><br />
        <label class="text-other-po" style="word-break: break-all;">{{product.promulgateModel.manager}}</label>
      </div>
      <div class="col-4">
        <label class="text-other-po-header">เบอร์โทรศัพท์</label><br />
        <label class="text-other-po" style="word-break: break-all;">{{product.promulgateModel.managerTel}}</label>
      </div>
    </div>
    <div class="row" style="margin-top: 40px;margin-bottom: 40px;">
      <div class="col-4">
        <label class="text-other-po-header">ผู้ประสานงาน</label><br />
        <label class="text-other-po" style="word-break: break-all;">{{product.promulgateModel.coManager}}</label>
      </div>
      <div class="col-4">
        <label class="text-other-po-header">เบอร์โทรศัพท์</label><br />
        <label class="text-other-po" style="word-break: break-all;">{{product.promulgateModel.coManagerTel}}</label>
      </div>
    </div>
  </div>

  <div>
    <div class="typeofcollateral" style="margin-left: 58px;">
      <p class="head-detail">เอกสารแนบ</p>
    </div>

    <div class="table-responsives">
      <table>
        <thead>
          <tr class="table-header" style="height: 52px;">
            <th style="width: 845px;padding-left: 15px;text-align: center;">ชื่อไฟล์</th>
            <th style="width: 300px;text-align: center;">ขนาดไฟล์</th>
            <th style="width: 300px;"></th>
          </tr>
        </thead>

        <tbody>
          <tr *ngFor="let data of showfile.file" style="height: 48px;">
            <td style="width: 845px;padding-left: 15px;text-align: center;">{{data.fileName}}</td>
            <td>
              <div style="width: 445px;text-align: center;">
                {{(data.fileSize / 1024).toFixed(2) + ' KB'}}
              </div>
            </td>
            <td>
              <a class="download_file" (click)="downloadFile(data.path)">ดาวน์โหลดไฟล์</a>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
    <br /><br />

  </div>

</div>
<!-- ---------- End Role PO validate = false---------- -->

<!-- --------------------------------------------(Over multi files Size)--------------------------------------------------->
<div style="display: none;">
  <a id="testttt" data-toggle="modal" data-target="#exampleModal">
    open
  </a>
</div>
<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
  aria-hidden="true">
  <div class="modal-dialog " role="document">
    <div class="modal-content" style=" background-color: white;">
      <div class="col-12 modal-header" style="
        text-align: center;
        height: 56px;
        padding: 12px;
        background-color: rgba(0, 110, 149, 0.1);
      ">
        <div class="col-12" style="
          text-align: center;
          display: flex;
          align-items: center;
          justify-content: center;
        ">
          <img src="assets/img/Alarm-blue.svg" width="30" height="30" />&nbsp;
          <span style="font-size: 18px; color: #006e95;" class="modal-title" id="exampleModalLabel">
            มีบางไฟล์ใหญ่เกินขนาดที่รับรองได้
          </span>
        </div>
        <img src="assets/img/x.png" width="10" height="10" data-dismiss="modal"
          style="position: absolute; right: 10px;cursor:pointer" />
      </div>
      <div class="modal-body" style="text-align: left; padding: 4%;word-wrap:break-word">
        <a style="color:#2e2d2d">ไม่สามารถอัพโหลดไฟล์ต่อไปนี้ได้</a><br />
        <div *ngFor="let item of FileOverSize" style="color:#2e2d2d">-&nbsp;{{ item }}</div>
      </div>
      <br />
      <div class="mb-3" style="text-align: center;">
        <button type="button" class="btn btn-primary" data-dismiss="modal" style="
          justify-items: center !important;
          background-color: #00a4e4;
          width: 150px;
        ">
          ตกลง
        </button>
      </div>
    </div>
  </div>
</div>
<!-- ------------------------------------------- (End Over multi files Size) ------------------------------------------------>




<!-- ---------- Other Role ----------  -->
<div *ngIf="this.role !== 'PO'">
  <div class="product-header">
    <div class="d-flex">
      <div class="pps-header">
        <a class="style-font" style="cursor:pointer" (click)="backToDashboardPage()">
          <i style="font-size: 20px;" class="fa fa-chevron-left"></i>
          ข้อมูลการประกาศใช้ผลิตภัณฑ์</a>
      </div>

    </div>
    <p class="header-th style-font">
      บันทึกข้อมูลการประกาศใช้ผลิตภัณฑ์ดังต่อไปนี้</p>
  </div><br />

  <div class="row" style="margin-left: 80px;">
    <label class="text-normal">วันที่เสนอต่อคณะกรรมการผลิตภัณฑ์</label>
    <label class="text-normal" style="margin-left: 20px;">{{product.presentDate | date : 'dd/MM/yyyy'}}</label>
  </div>
  <div class="header-set">
    <div class="part-one-header">
      <div style="width: 88%;"><a>กระบวนการสอบทานความครบถ้วนของการออกผลิตภัณฑ์ ( Sign off )</a></div>
    </div>
    <hr class="new4" />
  </div>
  <br />

  <div class="table-responsives">
    <table>
      <thead>
        <tr class="table-header">
          <th style="width: 420px;padding-left: 15px;">ฝ่ายงาน / สายงาน</th>
          <th style="width: 200px;">วันที่ลงนาม</th>
          <th style="width: 432px;">ความเห็น</th>
          <th style="width: 200px;"></th>
        </tr>
      </thead>

      <tbody>
        <tr *ngFor="let rowdata of product.businessSignModel" style="height: 54px;">
          <td class="table-text-one" style="text-align: left;word-break: break-all;padding-top: 15px;
          padding-bottom: 10px;vertical-align: top;">
            {{rowdata.business}}</td>
          <td class="table-text-two" style="word-break: break-all;padding-top: 15px;
          padding-bottom: 10px;vertical-align: top;">
            {{rowdata.signDate | date : 'dd/MM/yyyy'}}
          </td>
          <td class="table-text-three" style="word-break: break-all;padding-top: 15px;
          padding-bottom: 10px;vertical-align: top;">{{rowdata.comment}}</td>
          <td style="width: 200px;word-break: break-all;"></td>
        </tr>
      </tbody>
    </table>
  </div><br /><br />

  <div class="box-detail">
    <div class="row" style="margin-top: 40px;">
      <div class="col-4">
        <label class="text-other-po-header">วันที่ประกาศใช้ผลิตภัณฑ์</label><br />
        <label class="text-other-po" style="word-break: break-all;">{{product.promulgateModel.circularDate | date :
          'dd/MM/yyyy'}}</label>
      </div>
      <div class="col-4">
        <label class="text-other-po-header">หนังสือเวียนเลขที่</label><br />
        <label class="text-other-po" style="word-break: break-all;">{{product.promulgateModel.circularNo}}</label>
      </div>
      <div class="col-4">
        <label class="text-other-po-header">ลงวันที่</label><br />
        <label class="text-other-po" style="word-break: break-all;">{{product.promulgateModel.promulgateDate | date :
          'dd/MM/yyyy'}}</label>
      </div>
    </div>
    <div class="row" style="margin-top: 40px;">
      <div class="col-4">
        <label class="text-other-po-header">ฝ่าย / ทีม</label><br />
        <label class="text-other-po" style="word-break: break-all;">{{product.promulgateModel.dept}}</label>
      </div>
      <div class="col-4">
        <label class="text-other-po-header">กลุ่มงาน</label><br />
        <label class="text-other-po" style="word-break: break-all;">{{product.promulgateModel.sctr}}</label>
      </div>
      <div class="col-4">
        <label class="text-other-po-header">สายงาน</label><br />
        <label class="text-other-po" style="word-break: break-all;">{{product.promulgateModel.grp}}</label>
      </div>
    </div>
    <div class="row" style="margin-top: 40px;">
      <div class="col-4">
        <label class="text-other-po-header">ผู้บริหารฝ่าย / ทีม</label><br />
        <label class="text-other-po" style="word-break: break-all;">{{product.promulgateModel.manager}}</label>
      </div>
      <div class="col-4">
        <label class="text-other-po-header">เบอร์โทรศัพท์</label><br />
        <label class="text-other-po" style="word-break: break-all;">{{product.promulgateModel.managerTel}}</label>
      </div>
    </div>
    <div class="row" style="margin-top: 40px;margin-bottom: 40px;">
      <div class="col-4">
        <label class="text-other-po-header">ผู้ประสานงาน</label><br />
        <label class="text-other-po" style="word-break: break-all;">{{product.promulgateModel.coManager}}</label>
      </div>
      <div class="col-4">
        <label class="text-other-po-header">เบอร์โทรศัพท์</label><br />
        <label class="text-other-po" style="word-break: break-all;">{{product.promulgateModel.coManagerTel}}</label>
      </div>
    </div>
  </div>

  <div>
    <div class="typeofcollateral" style="margin-left: 58px;">
      <p class="head-detail">เอกสารแนบ</p>
    </div>

    <div class="table-responsives">
      <table>
        <thead>
          <tr class="table-header" style="height: 52px;">
            <th style="width: 845px;padding-left: 15px;text-align: center;">ชื่อไฟล์</th>
            <th style="width: 300px;text-align: center;">ขนาดไฟล์</th>
            <th style="width: 300px;"></th>
          </tr>
        </thead>

        <tbody>
          <tr *ngFor="let data of showfile.file" style="height: 48px;">
            <td style="width: 845px;padding-left: 15px;text-align: center;">{{data.fileName}}</td>
            <td>
              <div style="width: 445px;text-align: center;">
                {{(data.fileSize / 1024).toFixed(2) + ' KB'}}
              </div>
            </td>
            <td>
              <a class="download_file" (click)="downloadFile(data.path)">ดาวน์โหลดไฟล์</a>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
    <br /><br />

  </div>

</div>
<!-- ---------- End Other Role ----------  -->



<!-- Modal -->
<div class="modal fade" id="confirmModal" tabindex="-1" role="dialog" aria-labelledby="confirmModal" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content" *ngIf="confirmState === 'confirm'">
      <div class="modal-header justify-content-center">
        <h5 class="modal-title text-center" id="confirmModalLable">
          <img src="./assets/img/checkmark-s.png" alt=""> ยืนยันการประกาศใช้ผลิตภัณฑ์
        </h5>
      </div>
      <div class="modal-body text-center">
        <label class="save-modal text-center">คุณแน่ใจหรือไม่?<br>
          ว่าต้องการประกาศใช้ผลิตภัณฑ์นี้
        </label>
      </div>
      <div class="modal-footer">
        <button mat-flat-button type="button" class="btn btn-back-edit" data-dismiss="modal">
          ยกเลิก
        </button>
        <button mat-flat-button type="button" class="btn btn-confirm" (click)="sendpromulgate()">
          ยืนยันประกาศใช้
        </button>

      </div>
    </div>
    <div class="modal-content" *ngIf="confirmState === 'success'">
      <img src="/assets/img/checkmark_green.png" class="checkmark-success" alt="">
      <div class="massage-success">คุณได้ส่งงานแล้วเรียบร้อย</div>
    </div>
  </div>
</div>